Subject: Re: A question about the error: svn_fspath__is_canonical

From: Jonathan Nieder <[email-masked]>
Date: Fri, 10 Jan 2014 11:16:50 -0800

Hi Dan,

Dan Kaplan wrote:

> My environment is probably different from most.  I'm using cygwin.
> This makes it very difficult to use different versions of
> git/svn/git-svn, but I'm interested in learning git more so I'm
> willing to try whatever it takes.
>
> $ git version
> git version 1.8.3.4
>
> $ svn --version
> svn, version 1.8.5 (r1542147)
>    compiled Nov 25 2013, 10:45:07 on x86_64-unknown-cygwin

You have three choices:

 A) upgrade git to latest "master"
 B) upgrade subversion to latest "trunk"
 C) downgrade subversion to a version before that bug was introduced

(A) is probably simplest.  E.g., something like the following should work:

  git clone https://kernel.googlesource.com/pub/scm/git/git.git
  cd git
  make -j8
  make test; # optional, to verify that the git you built works ok
  export PATH=$(pwd)/bin-wrappers:$PATH

Now the updated git is in your $PATH and you can use it.

See INSTALL in the git source tree for more details.

Hope that helps,
Jonathan